/*
 * hello.cpp
 *
 *  Created on: 2011-7-29
 *      Author: Administrator
 */

#include <Environment.h>
#include "helloStub.h"

using namespace std;
using namespace wso2wsf;
using namespace hello_services_axis2;

int main(int argc, char *argv) {
	Environment::initialize("hello.log", AXIS2_LOG_LEVEL_TRACE);
	string endpointUri = "http://192.168.34.41:9090/axis2/services/hello";
	string clientHome = AXIS2_GETENV("WSFCPP_HOME");
	if (clientHome.empty()) {
		cout << "Please set the WSFCPP_HOME environment variable" << endl;
	}

	helloStub *stub = new helloStub(clientHome, endpointUri);
	GreetRequest *request = new GreetRequest("hello server");
	GreetResponse *response = stub->greet1(request);
	if (response)
	{
		cout << response->getGreetReturn() << endl;
	}

	delete stub;
	return 0;
}
